View Issue Details

IDProjectCategoryView StatusLast Update
0000272Usermanagement[Adventure PHP Framework] Bugpublic2015-12-03 08:16
ReporterGeneral CrimeAssigned ToChristianAchatz 
PriorityimmediateSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version[Adventure PHP Framework] 3.0.2 
Target VersionFixed in Version[Adventure PHP Framework] 3.1 
Summary0000272: Aufruf der Funktion getUserByDisplayName wirft einen MySQL Fehler.
DescriptionFehler beim Aufruf der Funktion da die Spalte "DisplayName" sowohl im User als auch in der Application existiert. Daher ist es notwendig in der Where Klausel explizit auf die ent_user Tabelle zu verweisen.
Steps To ReproduceEinfacher Aufruf der Funktion.
Additional InformationVorhanden:
$select = 'SELECT * FROM `ent_user`
                 INNER JOIN cmp_application2user ON ent_user.UserID = cmp_application2user.Target_UserID
                 INNER JOIN ent_application ON cmp_application2user.Source_ApplicationID = ent_application.ApplicationID
                 WHERE
                     ent_application.ApplicationID = \'' . $this->applicationId . '\'
                     AND `DisplayName` = \'' . $displayName . '\';';

Korregiert:
$select = 'SELECT * FROM `ent_user`
                 INNER JOIN cmp_application2user ON ent_user.UserID = cmp_application2user.Target_UserID
                 INNER JOIN ent_application ON cmp_application2user.Source_ApplicationID = ent_application.ApplicationID
                 WHERE
                     ent_application.ApplicationID = \'' . $this->applicationId . '\'
                     AND ent_user.DisplayName = \'' . $displayName . '\';';
Tagsumgt
Codereferenz: ([Datei]:[Zeile])

Relationships

related to 0000278 resolvedChristianAchatz CLONE - Aufruf der Funktion getUserByDisplayName wirft einen MySQL Fehler. 

Activities

General Crime

2015-11-04 13:56

developer   ~0000636

Achtung: Ich befürchte das so ein Fehler bei weiteren Funktionen existiert!

ChristianAchatz

2015-11-06 14:54

administrator   ~0000641

Danke für's Melden! Schaue ich mir nach meinem Urlaub (bin am 30.11. wieder da) direkt an.

General Crime

2015-12-01 10:15

developer   ~0000646

So hab mal den branch bugfix-3.0.2 in meinem fork erstellt hoffe es hilft, muss mich da noch irgendwie einarbeiten was zb nen fork genau ist.

ChristianAchatz

2015-12-01 16:57

administrator   ~0000647

Das passt super! Vielen Dank!

Habe den Pull Request direkt in 3.0 gemerged. Merge nach master erledige ich in den nächsten Tagen.

Ich lege dann auch ein 3.0.3 an und veröffentliche das ebenso in den nächsten Tagen.

Issue History

Date Modified Username Field Change
2015-11-04 13:56 General Crime New Issue
2015-11-04 13:56 General Crime Tag Attached: um
2015-11-04 13:56 General Crime Tag Detached: um
2015-11-04 13:56 General Crime Tag Attached: umgt
2015-11-04 13:56 General Crime Note Added: 0000636
2015-11-06 14:54 ChristianAchatz Note Added: 0000641
2015-11-30 15:13 ChristianAchatz Assigned To => ChristianAchatz
2015-11-30 15:13 ChristianAchatz Status new => assigned
2015-12-01 10:15 General Crime Note Added: 0000646
2015-12-01 16:57 ChristianAchatz Note Added: 0000647
2015-12-03 08:16 ChristianAchatz Issue cloned: 0000278
2015-12-03 08:16 ChristianAchatz Relationship added related to 0000278
2015-12-03 08:16 ChristianAchatz Status assigned => resolved
2015-12-03 08:16 ChristianAchatz Fixed in Version => 3.1
2015-12-03 08:16 ChristianAchatz Resolution open => fixed